# Selectricity: Voting Machinery for the Masses
# Copyright (C) 2007, 2008 Benjamin Mako Hill <mako@atdot.cc>
# Copyright (C) 2007 Massachusetts Institute of Technology
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License along with this program.  If not, see
# <http://www.gnu.org/licenses/>.

class AboutController < ApplicationController
  layout 'main'
  
  before_filter :add_sidebar

  def index
    redirect_to :action => 'overview'
  end

  def blog
    redirect_to "http://blog.selectricity.org"
  end

  private
  def add_sidebar
    @sidebar_content = render_to_string :partial => 'sidebar',
                                        :locals => { :page => action_name }
  end

end

